Name:        xine-ui
Version:     0.9.22
Release:     alt1.cvs20031030
Summary:     A Free Video Player.
Summary(ru_RU.KOI8-R):   .
Copyright:   GPL
Group:       Video
Source:      http://xine.sourceforge.net/files/%name-%version.tar.gz
Patch0:	     xine-ui-0.9.18-alt-layer_above.patch
Patch1:      xine-ui-0.9.18-alt-shared-lirc.patch
Patch2:	     xine-ui-0.9.22-disable-setup-window.patch
URL:         http://xine.sourceforge.net

# Automatically added by buildreq on Tue Apr 29 2003
BuildRequires: XFree86-devel-static XFree86-libs aalib-devel glibc-devel-static libcurl-devel libgpm-devel liblirc-devel libncurses-devel libpng-devel libslang-devel libssl-devel libtinfo-devel pkgconfig zlib-devel freetype2-devel

BuildRequires: libxine-devel >= 1.0.0-alt1.rc2
Requires:    libxine >= 1.0.0-alt1.rc2

%description
xine is a free gpl-licensed video player for unix-like systems.
We support mpeg-2 and mpeg-1 system (audio + video multiplexed + DVD) streams,
eventually mpeg-4 and other formats might be added.

%description -l ru_RU.KOI8-R
xine -         Unix .
  mpeg-2  mpeg-1 ( DVD) , MPEG-4   .

%description -l fr
xine est un lecteur vido libre sous license GPL pour les systmes de
type unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vido 
multiplexs), ventuellement le mpeg-4 et d'autres formats peuvent
tres ajouts.

xine joue les donnes vido et audio de vido mpeg-2 et synchronise
la lecture des deux. En fonction des proprites du flux mpeg,
la lecture aura besoin de plus ou moins de puissance du processeur, 
100% de restitution de trame a t vus sur un systme PII 400MHz.

%package -n %name-aa
Summary:     Console version of a Free Video Player.
Summary(ru_RU.KOI8-R):    -  .
Group:       Video
Requires:    libxine >= 1.0.0-alt2.rc2 , aalib >= 1.4

%description -l ru_RU.KOI8-R -n %name-aa
xine -         Unix .
  mpeg-2  mpeg-1 ( DVD) , MPEG-4   .
     

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 
%patch2 -p1

%build
./autogen.sh
%configure
%make_build GLOBAL_CFLAGS="$RPM_OPT_FLASG -D_FILE_OFFSET_BITS=64"

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%_menudir
#install icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
(cd misc/desktops
install -D -m 644 xine_48x48.png %buildroot%_liconsdir/xine.png
install -D -m 644 xine_32x32.png %buildroot%_iconsdir/xine.png
install -D -m 644 xine_16x16.png %buildroot%_miconsdir/xine.png
)

cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%name
?package(xine-ui):\
	needs="X11"\
	icon="xine.png"\
	section="Multimedia/Video"\
	title="Xine"\
	longtitle="Video player"\
        kde_opt="InitialPreference=10"\
        mimetypes="video/x-msvideo;video/x-flic;video/mpeg;video/x-mpeg"\
	command="/usr/bin/xine"
EOF

%find_lang --with-man --output=%name.lang %name xine xine-remote xine-check xitk
%find_lang --with-man --output=xine-aa.lang aaxine
%find_lang --with-man --output=xine-dfb.lang dfbxine

# fix find-lang bug
%__perl -pi -e 's@.*aaxine.*\n@@' %name.lang



%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%defattr(-,root,root)
# binaries
%_bindir/xine
%_bindir/xine-check
# skins
%_datadir/pixmaps/*
%_datadir/xine
# documentation
%_mandir/man1/*
%_docdir/%name/*
%_libdir/menu/*
%_datadir/icons/*.png
%_datadir/icons/*/*.png

%files -n %name-aa -f xine-aa.lang
%_bindir/aaxine

%changelog
* Thu Oct 30 2003 Rider <rider@altlinux.ru> 0.9.22-alt1.cvs20031030
- update from CVS
- disabled show setup window after first start

* Tue Oct 07 2003 Rider <rider@altlinux.ru> 0.9.22-alt1.cvs20031007
- update from CVS

* Tue Sep 30 2003 Rider <rider@altlinux.ru> 0.9.22-alt0.1.cvs20030930
- update from CVS

* Wed Sep 24 2003 Rider <rider@altlinux.ru> 0.9.22-alt0.1.cvs20030924
- update from CVS

* Thu Aug 14 2003 Rider <rider@altlinux.ru> 0.9.22-alt0.1.cvs20030814
- update from CVS

* Mon Jul 14 2003 Rider <rider@altlinux.ru> 0.9.21-alt0.1.cvs20030714
- update from CVS

* Tue Apr 29 2003 Rider <rider@altlinux.ru> 0.9.20-alt0.1.cvs20030429
- update from CVS
- build requires fix

* Wed Apr 09 2003 Rider <rider@altlinux.ru> 0.9.20-alt0.1.cvs20030409
- update from CVS

* Mon Mar 31 2003 Rider <rider@altlinux.ru> 0.9.20-alt0.1.cvs20030331
- update from CVS

* Mon Mar 24 2003 Rider <rider@altlinux.ru> 0.9.20-alt0.1.cvs20030324
- update from CVS

* Mon Mar 10 2003 Rider <rider@altlinux.ru> 0.9.19-alt0.1.cvs20030310
- 0.9.19

* Mon Mar 03 2003 Rider <rider@altlinux.ru> 0.9.18-alt0.1.cvs20030305
- update from CVS

* Tue Feb 25 2003 Rider <rider@altlinux.ru> 0.9.18-alt0.1.cvs20030225
- update from CVS

* Sun Feb 17 2003 Rider <rider@altlinux.ru> 0.9.18-alt0.1.cvs20030217
- update from CVS

* Fri Feb 14 2003 Rider <rider@altlinux.ru> 0.9.18-alt0.1.cvs20030214
- update from CVS
- build with shared lirc libraries

* Thu Jan 30 2003 Rider <rider@altlinux.ru> 0.9.18-alt0.1.cvs20030130
- build 0.9.18 from xine CVS

* Sun Jan 05 2003 Rider <rider@altlinux.ru> 0.9.17-alt1
- 0.9.17

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 0.9.13-alt2
- rebuild (gcc 3.2)

* Mon Aug 05 2002 Rider <rider@altlinux.ru> 0.9.13-alt1
- 0.9.13

* Wed Jul 31 2002 Rider <rider@altlinux.ru> 0.9.12-alt1
- 0.9.12

* Mon Jun 03 2002 Rider <rider@altlinux.ru> 0.9.10-alt3
- sync with Yuri N. Sedunov specfile (%find_lang)

* Mon Jun 03 2002 Rider <rider@altlinux.ru> 0.9.10-alt2
- xine-aa requires fix
- specfile cleanup


* Fri May 31 2002 Rider <rider@altlinux.ru> 0.9.10-alt1
- 0.9.10
- removed xine dfb output 
- skins: only xinetic, cloudy and lcd

* Tue Apr 30 2002 Rider <rider@altlinux.ru> 0.9.9-alt1
- 0.9.9
- build aalib & DirectFB interfaces

* Fri Jan 25 2002 Rider <rider@altlinux.ru> 0.9.8-alt2
- BuildReq fix

* Wed Jan 16 2002 Rider <rider@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Mon Dec 17 2001 Rider <rider@altlinux.ru> 0.9.7-alt2
- bug #0000231 fix

* Fri Dec 14 2001 Rider <rider@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sun Dec 02 2001 Rider <rider@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Nov 08 2001 Rider <rider@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Tue Oct 23 2001 Rider <rider@altlinux.ru> 0.9.2-alt2
- new icons
- requires fix

* Tue Oct 16 2001 Rider <rider@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Tue Oct 09 2001 Rider <rider@altlinux.ru> 0.9.1-alt2
- snapshot from CVS

* Tue Sep 18 2001 Rider <rider@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Mon Sep 17 2001 Rider <rider@altlinux.ru> 0.9.0-alt2
- update from CVS

* Sat Sep 15 2001 Rider <rider@altlinux.ru> 0.9.0-alt1
- 0.9.0 from CVS

* Wed Sep 12 2001 Rider <rider@altlinux.ru> 0.5.3-alt5
- rebuild version from CVS  with new libxine package

* Mon Sep 10 2001 Rider <rider@altlinux.ru> 0.5.3-alt4
- menu fix

* Mon Sep 10 2001 Rider <rider@altlinux.ru> 0.5.3-alt3
- menu & icons added
- fixed CFLAGS
- fullscreen patch added

* Mon Sep 10 2001 Rider <rider@altlinux.ru> 0.5.3-alt2
- requires fix
- build from CVS

* Sat Sep 08 2001 Rider <rider@altlinux.ru> 
- first build for ALT Linux

* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made AA as separate package.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist.
* Tue Jul 03 2001 Matthias Dahl <matthew2k@web.de>
- fixed the "no-skins-in-final-RPM-package" problem (nice explanation *grin*)
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist and the requirements field
- removed /sbin/ldconfig as post install script
* Thu Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
